Bug 57997 - apache mod_dir does not display index.html in DocumentRoot Directory to Netscape 4.71 and WinNT4
apache mod_dir does not display index.html in DocumentRoot Directory to Netsc...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-04 12:43 EST by Magnus Sundberg
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-04 12:43:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Magnus Sundberg 2002-01-04 12:43:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.71 [en] (WinNT; I)

Description of problem:
Apache does not display the file index.html in the DocumentRoot directory. 
When requesting http://webserver you get the apache start page telling you to modify httpd.conf
You get the correct file if you request http://webserver/index.html
Requests for http://webserver/subdirectory will give you a listing of the content or the index.html file as expected
Internet explorer gets the index.html file, but not Netscape 4.71
I believe the error is in mod_dir

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. NT4 client with netscape 4.71 installed, request the file http://webserver 
2.
3.
	

Actual Results:  you will get the apache distribution start page

Expected Results:  Display of index.html

Additional info:

# uname
Linux name.withheld 2.4.9-12 #1 Tue Oct 30 18:33:49 EST 2001 i686 unknown

# rpm -qa | grep apache
apache-devel-1.3.22-1.7.1
apache-manual-1.3.22-1.7.1
apache-1.3.22-1.7.1

# rpm -qa | grep mod
mod_throttle-3.1.2-3
usermode-1.42-1
mod_bandwidth-2.0.3-2
mod_ssl-2.8.5-0.7
fortune-mod-1.0-13
mod_put-1.3-2
modemtool-1.22-3
mikmod-3.1.6-10
modutils-2.4.6-4
Comment 1 Magnus Sundberg 2002-01-07 13:08:18 EST
Today 7 Jan 2002, the bug was not reproducible. I could display the DocumentRoot/index.html without problems.

Speculation, cant there have been a fault in some wins database or something else, Windows is quite magical!

Sorry for that I occupied your time

/Magnus

Note You need to log in before you can comment on or make changes to this bug.